# saga::filesystem::iovec Class Reference

The iovec class inherits the saga::buffer class, and three additional state attributes: offset, len in and len out. More...

`#include <iovec.hpp>`

Inheritance diagram for saga::filesystem::iovec:

[legend]

List of all members.

## Public Member Functions
| iovec (void *data=0, saga::ssize_t size=-1, saga::ssize_t len_in=-1, buffer_deleter cb=default_buffer_deleter)
| Creates an iovec instance.
| ~iovec ()
| Destroys an iovec instance.
void | set_len_in (saga::ssize_t len_in)
| Sets len_in.
saga::ssize_t | get_len_in () const
| Retrieves the current value for len_in.
saga::ssize_t | get_len_out () const
| Retrieves the current value for len_out.

## Detailed Description

The iovec class inherits the saga::buffer class, and three additional state attributes: offset, len in and len out.

With that addition, the new class can be used very much the same way as the iovec structure defined by POSIX for readv/writev, with the buffer len_in being interpreted as the POSIX iov_len, i.e. the number of bytes to read/write.

## Constructor & Destructor Documentation

saga::filesystem::iovec::iovec | ( | void * | data = `0`,
|  | saga::ssize_t | size = `-1`,
|  | saga::ssize_t | len_in = `-1`,
|  | buffer_deleter | cb = `default_buffer_deleter` |
| ) |  |  |

Creates an iovec instance.

saga::filesystem::iovec::~iovec | ( |  | ) |

Destroys an iovec instance.

## Member Function Documentation

void saga::filesystem::iovec::set_len_in | ( | saga::ssize_t | len_in | ) |

Sets len_in.

saga::ssize_t saga::filesystem::iovec::get_len_in | ( |  | ) | const

Retrieves the current value for len_in.

saga::ssize_t saga::filesystem::iovec::get_len_out | ( |  | ) | const

Retrieves the current value for len_out.

The documentation for this class was generated from the following files:

- iovec.hpp
- iovec.cpp